# Class JAudienceApi

#### Hierarchy (View Summary)

- JBaseApi
  - JAudienceApi

- Defined in jamespot-user-api/src/apis/audience/audience.ts:7

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

autocomplete
autocompletePublishTo

## Constructors

### constructor

- new JAudienceApi(jApi: JamespotUserApi): JAudienceApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JAudienceApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### autocomplete

- autocomplete(
  query: string,
  ): Promise<(jObjectAutocomplete | jUserAutocomplete | jSpotAutocomplete)[]>

  autocomplete return the list of user and Spot

  #### Parameters

  - query: string

  #### Returns Promise<(jObjectAutocomplete | jUserAutocomplete | jSpotAutocomplete)[]>

  - Defined in jamespot-user-api/src/apis/audience/audience.ts:12

### autocompletePublishTo

- autocompletePublishTo<
  T extends
  "raw-little"
  | "raw-list"
  | "raw-view"
  | undefined = "raw-little",
  >(
  uris: string[],
  options?: { format: T; signal?: AbortSignal },
  ): PromiseApiWrapper<Audience[]>

  autocompletePublishTo return the list of user and spot corresponding to the uris

  #### Type Parameters

  - T extends "raw-little" | "raw-list" | "raw-view" | undefined = "raw-little"

  #### Parameters

  - uris: string[]
  - `Optional` options: { format: T; signal?: AbortSignal }

  #### Returns PromiseApiWrapper<Audience[]>

  - Defined in jamespot-user-api/src/apis/audience/audience.ts:22